/*
 ---- 01 TYPOGRAPHY SYSTEM
 - Font sizes (px)
  10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

 - Font-weights:
  Default: 400
  Medium 500
  Semi-bold 600
  Bold 700

 - Line-Height
  Default: 1
  Small: 1.05
  Medium: 1.2
  Large: 1.8
  Paragraph default: 1.6

  - Letter-Spacing
  -0.5px
  0.5px

  ---- 02 COLORS

 - Primary: #af8c72
 - Tints:
  #f7f4f1
  #efe8e3
  #e7ddd5
  #bfa38e

 - Shades:
  #9e7e67
  #8c705b (lightest color allowed on #fff)
  #7A6250 (lightest color allowed on #f7f4f1)
  #46382e
  #342a22
 - Accents:
  #4b81b4
  #c1403e
 - Greys:
  #eee
  #aaa
  #767676 (lightest grey allowed on #fff)
  #555
  #444
  #333

  ---- 05 SHADOWS
  0 0.4rem 0.8rem rgba(0, 0, 0, 0.4)
  0 0.8rem 1.6rem rgba(0, 0, 0, 0.25);
  0 1.6rem 3.2rem rgba(0, 0, 0, 0.15);
  0 3.2rem 6.4rem rgba(0, 0, 0, 0.06);
  0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);

  ---- 06 BORDER RADIUS
    Default: 6px
    Small: 3px
    Medium: 9px
    Large: 100px

  ---- 07 WHITESPACE
 - Spacing system (px)
  2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: "Work Sans";
  src: url(../public/fonts/WorkSans-VariableFont_wght.ttf);
}

html {
  /* 
  system default font-size 16px
  need font-size 10px
  (10px * 100%) / 16 px = 62.5%
*/
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  font-family: "Work Sans", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;
  overflow-x: hidden;
}

body::after {
  content: "";
  top: 0;
  left: 0;
  position: fixed;
  height: 100vh;
  width: 100%;
  background: linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0.75),
    rgba(0, 0, 0, 0.75)
  );
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
  z-index: 4;
  transition: all 0.4s;
}

strong {
  font-weight: 500;
}

input[type="number"],
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button,
input[type="range"],
input[type="range"]::-webkit-slider-thumb,
input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  transition: background-color 1s 5000000s;
}

table {
  width: 100%;
  border-collapse: collapse;
}

td,
th {
  border: 1px solid #555;
  padding: 1.2rem 0.8rem;
  text-align: left;
  font-weight: 400;
  line-height: 1.4;
  font-size: 1.6rem;
}

/***************************************************/
/* GENERAL REUSABLE COMPONENTS */
/***************************************************/

.container {
  max-width: 120rem;
  margin: 0 auto;
  padding: 0 3.2rem;
}

.grid {
  display: grid;
  column-gap: 6.4rem;
  row-gap: 9.6rem;
}

.grid:not(:last-child) {
  margin-bottom: 9.6rem;
}

.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}

.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid--4-cols {
  grid-template-columns: repeat(4, 1fr);
}

.heading-primary,
.heading-secondary,
.heading-tertiary {
  color: #333;
  font-weight: 700;
  letter-spacing: -0.5px;
}

.heading-primary {
  font-size: 5.2rem;
  line-height: 1.05;
  margin-bottom: 3.2rem;
}

.heading-secondary {
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 9.6rem;
}

.heading-tertiary {
  font-size: 3rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}

.btn,
.btn:link,
.btn:visited {
  display: inline-block;
  text-decoration: none;
  border: none;
  background: none;
  cursor: pointer;
  font-family: inherit;
  font-weight: 600;
  transition: all 0.3s;
}

.btn .nav-icon {
  display: block;
  font-size: 4.8rem;
  margin-bottom: 0.8rem;
}

.btn--card {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.8rem;
  background-color: #8c705b;
  color: #fff;
  width: 100%;
  padding: 0.8rem 1.6rem;
  border-radius: 9px;
  font-size: 1.6rem;
}

.btn--card.btn--outline {
  color: #555;
  background-color: #fff;
  box-shadow: inset 0 0 0 1px rgb(175, 140, 114);
}

.btn-card-icon {
  font-size: 2.4rem;
}

.btn--card:hover {
  background-color: #7a6250;
}

.btn--card.btn--outline:hover {
  background-color: #fff;
  box-shadow: inset 0 0 0 3px rgb(175, 140, 114);
}

.nav-link,
.nav-link:link,
.nav-link:visited {
  color: #7a6250;
  font-size: 1.8rem;
}

.nav-link:hover,
.nav-link:active {
  color: #bfa38e;
}

.slider-btn {
  background: none;
  border: none;
  font-size: 4.4rem;
  background-color: #af8c72;
  color: #f7f4f1;
  display: flex;
  position: absolute;
  border-radius: 50%;
  padding: 0.4rem;
  top: 50%;
  box-shadow: 0 0.4rem 0.8rem rgba(0, 0, 0, 0.4);
  cursor: pointer;
  opacity: 0;
  transition: all 0.5s;
  z-index: 2;
}

.slider-btn:hover {
  background-color: #9e7e67;
}

.slider-prev {
  left: 0;
  transform: translate(4.8rem, -50%);
}

.slider-next {
  right: 0;
  transform: translate(-4.8rem, -50%);
}

.slider-dots {
  position: absolute;
  list-style: none;
  display: flex;
  gap: 1.2rem;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, -150%);
  z-index: 2;
}

.slider-dot {
  padding: 0.4rem 2.4rem;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  color: #f7f4f1;
  transition: all 0.3s;
  box-shadow: 0 0.4rem 0.8rem rgba(0, 0, 0, 0.4);
}

.slider-dot:hover {
  background-color: #af8c72;
}

.slider-dot--active {
  background-color: #af8c72;
  padding: 0.4rem 3.2rem;
}

.btn-pagination {
  color: #8c705b;
  font-size: 1.8rem;
  width: 4.2rem;
  height: 4.2rem;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn-pagination:hover,
.pagination--active {
  background-color: #8c705b;
  color: #fff;
}

.btn-pagination.pagination--click {
  width: 5rem;
  height: 5rem;
  border: 1px solid #8c705b;
  font-size: 2.4rem;
}

.btn.btn-widget--close {
  display: none;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 1.2rem;
  right: 1.2rem;
  font-size: 3rem;
  color: #333;
}

.list {
  display: flex;
  gap: 1.6rem;
  list-style: none;
  align-items: center;
}

.filter-slider {
  height: 0.8rem;
  border-radius: 9px;
  background-color: #efe8e3;
  position: relative;
}

.slider-progress {
  height: 100%;
  border-radius: 9px;
  background-color: #af8c72;
  position: absolute;
  left: 0;
  right: 0;
}
.range-input {
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: none;
  border: none;
  pointer-events: none;
  position: absolute;
}

.range-input::-webkit-slider-thumb {
  width: 2.4rem;
  height: 2.4rem;
  border-radius: 50%;
  pointer-events: auto;
  box-shadow: inset 0 0 0 1px rgb(158, 126, 103);
  background-color: #af8c72;
  touch-action: none;
  position: relative;
  cursor: pointer;
  transition: all 0.3s;
}

.range-input::-webkit-slider-thumb:active {
  box-shadow: inset 0 0 0 6px rgb(158, 126, 103);
  background-color: #b79880;
}

.checkbox {
  width: 1.6rem;
  height: 1.6rem;
  background-color: #efe8e3;
  border: 1px solid #8c705b;
  border-radius: 3px;
  position: relative;
  cursor: pointer;
  transition: all 0.2s;
}
.checkbox::before {
  content: "\e182";
  font-family: "Phosphor-Bold";
  font-size: 3rem;
  color: #8c705b;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-44%, -64%);
  opacity: 0;
  transition: all 0.2s;
}
.checkbox:hover {
  background-color: #e7ddd5;
}
.checkbox:checked::before {
  opacity: 1;
}

.product-tag {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.8rem;
  position: absolute;
  top: 2%;
  left: 0;
  transform: translateX(-50%);
  z-index: 1;
}

.tag-new,
.tag-discount {
  text-align: center;
  font-size: 1.2rem;
  padding: 0.4rem 1.2rem;
  text-transform: uppercase;
  font-weight: 700;
  letter-spacing: 0.5px;
  color: #fff;
  mask-image: linear-gradient(
    to right,
    rgba(0, 0, 0, 0),
    rgba(0, 0, 0, 1) 20% 80%,
    rgba(0, 0, 0, 0)
  );
}

.tag-discount {
  background-color: #c1403e;
}

.tag-new {
  background-color: #4b81b4;
}

.widget-scroll-top {
  transition: all 0.3s;
}

.widget-scroll-top .btn {
  display: flex;
  padding: 0.4rem;
  border-radius: 50%;
  font-size: 5rem;
  color: #fff;
  background-color: #af8c72;
  position: fixed;
  right: 0;
  bottom: 0;
  transform: translate(-50%, -50%);
  opacity: 0.4;
  z-index: 3;
}
.widget-scroll-top .btn:hover {
  opacity: 0.7;
}

/* SETTINGS CLASSES */

.grid--col-gap-md {
  column-gap: 4.8rem !important;
}

.grid--row-gap-sm {
  row-gap: 2.4rem !important;
}

.margin-top-auto {
  margin-top: auto !important;
}

.margin-bottom-sm {
  margin-bottom: 2.4rem !important;
}

.margin-bottom-md {
  margin-bottom: 4.8rem !important;
}

.margin-bottom-lg {
  margin-bottom: 9.6rem !important;
}

.hidden {
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
}

.resize-animation-stopper * {
  animation: none !important;
  transition: none !important;
}

/* SCROLL BAR STYLE */

.scroll-bar::-webkit-scrollbar,
.scroll-bar::-webkit-scrollbar-track,
.scroll-bar::-webkit-scrollbar-thumb {
  cursor: initial;
}

.scroll-bar::-webkit-scrollbar-track {
  background: #fff;
}

.scroll-bar::-webkit-scrollbar-thumb {
  background-color: #584639;
  border: 2px solid #fff;
  border-radius: 100px;
}
.scroll-bar::-webkit-scrollbar-thumb:hover {
  background-color: #695444;
}
